> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/trap-configurations.md).

# Trap Configurations

## Gets a list of trap configurations

> This endpoint is used to fetch all the trap configurations in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TrapConfiguration":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"rca_raise_msg":{"type":"string","readOnly":true},"rca_raise_varbind":{"type":"string","readOnly":true},"rca_varmap_status":{"type":"string","readOnly":true},"rca_raise_varbind_msgmap":{"type":"string","readOnly":true},"rca_varbindconv":{"type":"string","readOnly":true},"rca_conversion":{"type":"string","readOnly":true},"trap_id":{"type":"string","maxLength":225},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"trap_oid":{"type":"string"},"trap_clear_oid":{"type":"string"},"clear_event_on_clear_oid":{"type":"boolean"},"resource":{"type":"string"},"resource_var_bind":{"type":"string"},"action":{"type":"string"},"stat_map":{"type":"object","additionalProperties":{}},"status":{"type":"integer"},"severity":{"type":"integer"},"set_criteria":{"type":"array","items":{}},"reset_criteria":{"type":"array","items":{}},"alarm_msg":{"type":"string"},"clear_msg":{"type":"string"},"rca":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"isdeleted":{"type":"boolean"},"thresid_map":{"type":"string"}},"required":["id","organization","rca_conversion","rca_raise_msg","rca_raise_varbind","rca_raise_varbind_msgmap","rca_varbindconv","rca_varmap_status","trap_id"]}}},"paths":{"/ux/common/trap/configuration/":{"get":{"operationId":"ux_common_trap_configuration_list","description":"This endpoint is used to fetch all the trap configurations in the current organization","summary":"Gets a list of trap configurations","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Trap Configurations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TrapConfiguration"}}}},"description":""}}}}}}
```

## Creates a new trap configuration

> This endpoint is used to save a new trap configuration for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/trap/configuration/":{"post":{"operationId":"ux_common_trap_configuration_create","description":"This endpoint is used to save a new trap configuration for the current organization","summary":"Creates a new trap configuration","tags":["Trap Configurations"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a trap configuration with the given id

> This endpoint is used to fetch a trap configuration details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TrapConfiguration":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"rca_raise_msg":{"type":"string","readOnly":true},"rca_raise_varbind":{"type":"string","readOnly":true},"rca_varmap_status":{"type":"string","readOnly":true},"rca_raise_varbind_msgmap":{"type":"string","readOnly":true},"rca_varbindconv":{"type":"string","readOnly":true},"rca_conversion":{"type":"string","readOnly":true},"trap_id":{"type":"string","maxLength":225},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"trap_oid":{"type":"string"},"trap_clear_oid":{"type":"string"},"clear_event_on_clear_oid":{"type":"boolean"},"resource":{"type":"string"},"resource_var_bind":{"type":"string"},"action":{"type":"string"},"stat_map":{"type":"object","additionalProperties":{}},"status":{"type":"integer"},"severity":{"type":"integer"},"set_criteria":{"type":"array","items":{}},"reset_criteria":{"type":"array","items":{}},"alarm_msg":{"type":"string"},"clear_msg":{"type":"string"},"rca":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"isdeleted":{"type":"boolean"},"thresid_map":{"type":"string"}},"required":["id","organization","rca_conversion","rca_raise_msg","rca_raise_varbind","rca_raise_varbind_msgmap","rca_varbindconv","rca_varmap_status","trap_id"]}}},"paths":{"/ux/common/trap/configuration/{id}/":{"get":{"operationId":"ux_common_trap_configuration_retrieve","description":"This endpoint is used to fetch a trap configuration details in the current organization","summary":"Gets a trap configuration with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Trap Configurations"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}}},"description":""}}}}}}
```

## Edits the trap configuration with given id

> This endpoint is used to edit an existing trap configuration for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TrapConfiguration":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"rca_raise_msg":{"type":"string","readOnly":true},"rca_raise_varbind":{"type":"string","readOnly":true},"rca_varmap_status":{"type":"string","readOnly":true},"rca_raise_varbind_msgmap":{"type":"string","readOnly":true},"rca_varbindconv":{"type":"string","readOnly":true},"rca_conversion":{"type":"string","readOnly":true},"trap_id":{"type":"string","maxLength":225},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"trap_oid":{"type":"string"},"trap_clear_oid":{"type":"string"},"clear_event_on_clear_oid":{"type":"boolean"},"resource":{"type":"string"},"resource_var_bind":{"type":"string"},"action":{"type":"string"},"stat_map":{"type":"object","additionalProperties":{}},"status":{"type":"integer"},"severity":{"type":"integer"},"set_criteria":{"type":"array","items":{}},"reset_criteria":{"type":"array","items":{}},"alarm_msg":{"type":"string"},"clear_msg":{"type":"string"},"rca":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"isdeleted":{"type":"boolean"},"thresid_map":{"type":"string"}},"required":["id","organization","rca_conversion","rca_raise_msg","rca_raise_varbind","rca_raise_varbind_msgmap","rca_varbindconv","rca_varmap_status","trap_id"]}}},"paths":{"/ux/common/trap/configuration/{id}/":{"put":{"operationId":"ux_common_trap_configuration_update","description":"This endpoint is used to edit an existing trap configuration for the current organization","summary":"Edits the trap configuration with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Trap Configurations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}}},"description":""}}}}}}
```

## Deletes the trap configuration with given id

> This endpoint is used to delete an existing trap configuration for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/trap/configuration/{id}/":{"delete":{"operationId":"ux_common_trap_configuration_destroy","description":"This endpoint is used to delete an existing trap configuration for the current organization","summary":"Deletes the trap configuration with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Trap Configurations"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/common/trap/configuration/msg\_options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TrapConfiguration":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"rca_raise_msg":{"type":"string","readOnly":true},"rca_raise_varbind":{"type":"string","readOnly":true},"rca_varmap_status":{"type":"string","readOnly":true},"rca_raise_varbind_msgmap":{"type":"string","readOnly":true},"rca_varbindconv":{"type":"string","readOnly":true},"rca_conversion":{"type":"string","readOnly":true},"trap_id":{"type":"string","maxLength":225},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"trap_oid":{"type":"string"},"trap_clear_oid":{"type":"string"},"clear_event_on_clear_oid":{"type":"boolean"},"resource":{"type":"string"},"resource_var_bind":{"type":"string"},"action":{"type":"string"},"stat_map":{"type":"object","additionalProperties":{}},"status":{"type":"integer"},"severity":{"type":"integer"},"set_criteria":{"type":"array","items":{}},"reset_criteria":{"type":"array","items":{}},"alarm_msg":{"type":"string"},"clear_msg":{"type":"string"},"rca":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"isdeleted":{"type":"boolean"},"thresid_map":{"type":"string"}},"required":["id","organization","rca_conversion","rca_raise_msg","rca_raise_varbind","rca_raise_varbind_msgmap","rca_varbindconv","rca_varmap_status","trap_id"]}}},"paths":{"/ux/common/trap/configuration/msg_options/":{"get":{"operationId":"ux_common_trap_configuration_msg_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Trap Configurations"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}}},"description":""}}}}}}
```

## POST /ux/common/trap/configuration/multidelete/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TrapConfiguration":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"rca_raise_msg":{"type":"string","readOnly":true},"rca_raise_varbind":{"type":"string","readOnly":true},"rca_varmap_status":{"type":"string","readOnly":true},"rca_raise_varbind_msgmap":{"type":"string","readOnly":true},"rca_varbindconv":{"type":"string","readOnly":true},"rca_conversion":{"type":"string","readOnly":true},"trap_id":{"type":"string","maxLength":225},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"trap_oid":{"type":"string"},"trap_clear_oid":{"type":"string"},"clear_event_on_clear_oid":{"type":"boolean"},"resource":{"type":"string"},"resource_var_bind":{"type":"string"},"action":{"type":"string"},"stat_map":{"type":"object","additionalProperties":{}},"status":{"type":"integer"},"severity":{"type":"integer"},"set_criteria":{"type":"array","items":{}},"reset_criteria":{"type":"array","items":{}},"alarm_msg":{"type":"string"},"clear_msg":{"type":"string"},"rca":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"isdeleted":{"type":"boolean"},"thresid_map":{"type":"string"}},"required":["id","organization","rca_conversion","rca_raise_msg","rca_raise_varbind","rca_raise_varbind_msgmap","rca_varbindconv","rca_varmap_status","trap_id"]}}},"paths":{"/ux/common/trap/configuration/multidelete/":{"post":{"operationId":"ux_common_trap_configuration_multidelete_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Trap Configurations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}}},"description":""}}}}}}
```

## GET /ux/common/trap/configuration/options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TrapConfiguration":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"rca_raise_msg":{"type":"string","readOnly":true},"rca_raise_varbind":{"type":"string","readOnly":true},"rca_varmap_status":{"type":"string","readOnly":true},"rca_raise_varbind_msgmap":{"type":"string","readOnly":true},"rca_varbindconv":{"type":"string","readOnly":true},"rca_conversion":{"type":"string","readOnly":true},"trap_id":{"type":"string","maxLength":225},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"trap_oid":{"type":"string"},"trap_clear_oid":{"type":"string"},"clear_event_on_clear_oid":{"type":"boolean"},"resource":{"type":"string"},"resource_var_bind":{"type":"string"},"action":{"type":"string"},"stat_map":{"type":"object","additionalProperties":{}},"status":{"type":"integer"},"severity":{"type":"integer"},"set_criteria":{"type":"array","items":{}},"reset_criteria":{"type":"array","items":{}},"alarm_msg":{"type":"string"},"clear_msg":{"type":"string"},"rca":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"isdeleted":{"type":"boolean"},"thresid_map":{"type":"string"}},"required":["id","organization","rca_conversion","rca_raise_msg","rca_raise_varbind","rca_raise_varbind_msgmap","rca_varbindconv","rca_varmap_status","trap_id"]}}},"paths":{"/ux/common/trap/configuration/options/":{"get":{"operationId":"ux_common_trap_configuration_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Trap Configurations"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}}},"description":""}}}}}}
```

## Gets a list of trap messages

> This endpoint is used to fetch all the traps received on the agents for current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TrapConfiguration":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"rca_raise_msg":{"type":"string","readOnly":true},"rca_raise_varbind":{"type":"string","readOnly":true},"rca_varmap_status":{"type":"string","readOnly":true},"rca_raise_varbind_msgmap":{"type":"string","readOnly":true},"rca_varbindconv":{"type":"string","readOnly":true},"rca_conversion":{"type":"string","readOnly":true},"trap_id":{"type":"string","maxLength":225},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"trap_oid":{"type":"string"},"trap_clear_oid":{"type":"string"},"clear_event_on_clear_oid":{"type":"boolean"},"resource":{"type":"string"},"resource_var_bind":{"type":"string"},"action":{"type":"string"},"stat_map":{"type":"object","additionalProperties":{}},"status":{"type":"integer"},"severity":{"type":"integer"},"set_criteria":{"type":"array","items":{}},"reset_criteria":{"type":"array","items":{}},"alarm_msg":{"type":"string"},"clear_msg":{"type":"string"},"rca":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"isdeleted":{"type":"boolean"},"thresid_map":{"type":"string"}},"required":["id","organization","rca_conversion","rca_raise_msg","rca_raise_varbind","rca_raise_varbind_msgmap","rca_varbindconv","rca_varmap_status","trap_id"]}}},"paths":{"/ux/common/trap/configuration/trap_msgs/":{"get":{"operationId":"ux_common_trap_configuration_trap_msgs_retrieve","description":"This endpoint is used to fetch all the traps received on the agents for current organization","summary":"Gets a list of trap messages","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Trap Configurations"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrapConfiguration"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/trap-configurations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
